QGIS Application - Bug report #17407
represent_value expression fails
2017-11-06 03:16 PM - Andreas Neumann

Status: Closed
Priority: Normal
Assignee: Matthias Kuhn
Category: Expressions

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 25304

Description

If | use the expression

represent_value("fieldname")

on a field that has a relation reference widget assigned, the expression builder complains:

Eval Error:
represent_value: Field not found.

| am certain the the fieldname used exists, as it is also listed in the expression builder in the category "Fields and Values" --> see

screenshot

Associated revisions

Revision 5595f40f - 2017-11-07 03:47 PM - Matthias Kuhn

Fix single parameter version of represent_value

Fix #17407

History

#1 - 2017-11-07 04:12 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|5595f40fc6dc929250714e55d1e9ec5b58ad9918.
